# k8s
#
# deploys k8s

MANDATORY = $(shell printenv MANDATORY) K8S_CONTEXT
K8S_MANIFEST_FILENAME ?= kubernetes.yaml

start-k8s:
	@- echo "\n### starting deployment with k8s"
	@- echo "\n### setting kubernetes context to $(K8S_CONTEXT)"
	@ kubectl config use-context $(K8S_CONTEXT)

	@- echo "\n### run kubectl apply -f $(K8S_MANIFEST_FILENAME) and secrets.yaml"
	@ cat $(K8S_MANIFEST_FILENAME) secrets.yaml | envsubst | kubectl apply $(K8S_ADDITIONAL_PARAMS) -f -

pull-k8s:
# nop

